package com.sky.ioc.service.system.impl;

import com.sky.ioc.entity.domain.system.Menus;
import com.sky.ioc.mapper.system.MenuMapper;
import com.sky.ioc.service.system.MenuService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MenuServiceImpl implements MenuService {

    @Autowired
    MenuMapper menuMapper;
    @Override
    public ReturnMsg getMenusInfoList() {
        List<Menus> list  = menuMapper.getListParentId(0);
        return ReturnMsg.ok(list);
    }
}
